### Method

# GdkPixbuf Pixbuf rotate_simple

since: 2.6

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_rotate_simple (
      const GdkPixbuf* src,
      GdkPixbufRotation angle
    )

#### Description [src]

Rotates a pixbuf by a multiple of 90 degrees, and returns the result in a new pixbuf.

If `angle` is 0, this function will return a copy of `src`.

Available since: 2.6

#### Parameters

`angle`

  Type: `GdkPixbufRotation`

  The angle to rotate by.

#### Return value

Type: `GdkPixbuf`

The new pixbuf.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.